# Class TagValueAndUnsignedArrayFlag

java.lang.Object
htsjdk.samtools.TagValueAndUnsignedArrayFlag

public class TagValueAndUnsignedArrayFlag extends Object
CVO to use as a method return value.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isUnsignedArray`
`final Object`
`value`

## Constructor Summary

Constructors
Constructor
Description
`TagValueAndUnsignedArrayFlag(Object value, boolean unsignedArray)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### value

public final Object value

### isUnsignedArray

public final boolean isUnsignedArray

## Constructor Details

### TagValueAndUnsignedArrayFlag

public TagValueAndUnsignedArrayFlag(Object value, boolean unsignedArray)